Bug 1298655 - AWS Cloud Access Image ami-2a532b40 Displays Incorrect Subscription Information
AWS Cloud Access Image ami-2a532b40 Displays Incorrect Subscription Information
Status: CLOSED CURRENTRELEASE
Product: Cloud Image Validation
Classification: Red Hat
Component: images (Show other bugs)
RHEL7.2
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Martin Minar
Martin Minar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 11:44 EST by Stephen Clayton
Modified: 2016-07-03 20:58 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-25 10:26:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Clayton 2016-01-14 11:44:42 EST
Description of problem: Cloud Acess RHEL 7.2 Image appears to be beta after registering with subscription-manager. Images registered to Satellite show as having an invalid subscription.


Version-Release number of selected component (if applicable): ami-2a532b40

How reproducible:

Easily

Steps to Reproduce:

[root@HOST ~]# subscription-manager register --org "ORGANIZATION" --activationkey "ACTKEYNAME"


Actual results:

The system has been registered with ID: 1ba94f69-82f8-411f-bf25-731fb5a3e56d

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux 7 Public Beta
Status:       Not Subscribed

Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed


Expected results:

The system has been registered with ID: 1ba94f69-82f8-411f-bf25-731fb5a3e56d

Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed


Additional info:
Comment 1 Dan Lavu 2016-02-03 16:32:56 EST
Having the same issue, tracked down the the beta information to a certificate, 


[root@rhel7image:/var/lib]# rct cat-cert /etc/pki/product/69.pem

+-------------------------------------------+
	Product Certificate
+-------------------------------------------+

Certificate:
	Path: /etc/pki/product/69.pem
	Version: 1.0
	Serial: 12750047592154746697
	Start Date: 2013-11-20 09:38:30+00:00
	End Date: 2033-11-15 09:38:30+00:00

Subject:
	CN: Red Hat Product ID [9b3a0422-3b61-449e-af43-86c274326db0]

Issuer:
	C: US
	CN: Red Hat Entitlement Product Authority
	O: Red Hat, Inc.
	OU: Red Hat Network
	ST: North Carolina
	emailAddress: ca-support@redhat.com

Product:
	ID: 226
	Name: Red Hat Enterprise Linux 7 Public Beta
	Version: 7.0 Beta
	Arch: x86_64
	Tags: rhel-7-everything
	Brand Type:
	Brand Name:


Though, the system is registered and works correctly, it does not show that it is working in Satellite 6.1


Subscriptions
Subscription Status: invalid
Details :Red Hat Enterprise Linux 7 Public Beta - Not supported by a valid subscription.
Auto-Attach: No
Service Level: Self


subscription-manager list  shows

+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux 7 Public Beta
Product ID:     226
Version:        7.0 Beta
Arch:           x86_64
Status:         Not Subscribed
Status Details: Not supported by a valid subscription.
Starts:
Ends:

Product Name:   Red Hat Enterprise Linux Server
Product ID:     69
Version:        7.2
Arch:           x86_64
Status:         Subscribed
Status Details:
Starts:         04/24/2013
Ends:           12/31/2021
Comment 2 Rich Jerrido 2016-02-23 11:22:56 EST
The root of this issue is that the product certificate that identifies RHEL to subscription-manager (/etc/pki/product/69.pem) is incorrect. As this is a RHEL 7.2 vm, we can copy the /correct/ certificate from /etc/pki/product-default/69.pem to /etc/pki/product. This would remediate the issue above at runtime.  

Alternatively, to fix the base image (until such time a corrected image is posted on the portal), one can use guestfish (provided by the libguests-tools package) 


#guestfish 
Welcome to guestfish, the guest filesystem shell for
editing virtual machine filesystems and disk images.
 
Type: 'help' for help on commands
      'man' to read the manual
      'quit' to quit the shell
 
><fs> add rhel-guest-image-7.2-20151102.0.x86_64.qcow2
><fs> run
><fs> list-filesystems
/dev/sda1: xfs
><fs> mount /dev/sda1 /
><fs> rm /etc/pki/product/69.pem
><fs> cp /etc/pki/product-default/69.pem /etc/pki/product/
><fs> exit
Comment 3 Joey Boggs 2016-02-25 10:26:33 EST
Current list of AMIs with updated image as of Feb 25 2016

Hourly Images	
ami-f92c3695	eu-central-1
ami-edf6878d	us-west-1
ami-872be5e9	ap-northeast-2
ami-ca56b5aa	us-west-2
ami-34c30a57	ap-southeast-1
ami-f8586892	us-east-1
ami-822daeee	sa-east-1
ami-d54e4ebb	ap-northeast-1
ami-bd9e23ce	eu-west-1
ami-67785e04	ap-southeast-2
ami-695f9704	cn-north-1

Cloud Based Access	
ami-cd2339a1	eu-central-1
ami-61f58401	us-west-1
ami-f827e996	ap-northeast-2
ami-cd56b5ad	us-west-2
ami-2fc50c4c	ap-southeast-1
ami-c35767a9	us-east-1
ami-cf28aba3	sa-east-1
ami-d64e4eb8	ap-northeast-1
ami-cfa21fbc	eu-west-1
ami-1a7d5b79	ap-southeast-2
Comment 4 jtudelag 2016-06-06 07:18:26 EDT
Hello guys,

Just for you to know that the following ami is having this issue:
RHEL-7.2_HVM_GA-20151112-x86_64-1-Hourly2-GP2 (ami-8b8c57f8).

I know it may be a little bit older, but is the one BBVA customer is using.

Thanks a lot!!
Comment 5 Jerome Boutaud 2016-06-06 07:40:02 EDT
Hi, jtudelag, 

That AMI is part of the set which had this issue. The newer set (released in February has this issue fixed). 

So there are two options for the customer: 
-Use the newer image (same region but rebuilt with newer packages  and includes this fix: ami-cfa21fbc
-Use the workaround in comment 2

Thanks!

Note You need to log in before you can comment on or make changes to this bug.